# TdApi.UserStatusOnline

Package it.ernytech.tdlib

## Class TdApi.UserStatusOnline

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.UserStatus
    - - it.ernytech.tdlib.TdApi.UserStatusOnline

Enclosing class:
  TdApi

    public static class TdApi.UserStatusOnline
    extends TdApi.UserStatus

The user is online.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `expires` Point in time (Unix timestamp) when the user's online status will expire.

### Constructor Summary

Constructors
`UserStatusOnline()` Default constructor.
`UserStatusOnline​(int expires)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### expires

    public int expires

Point in time (Unix timestamp) when the user's online status will expire.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UserStatusOnline

    public UserStatusOnline()

Default constructor.

#### UserStatusOnline

    public UserStatusOnline​(int expires)

Constructor for initialization of all fields.

Parameters:
  `expires` - Point in time (Unix timestamp) when the user's online status will expire.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR